.modal {
  background: linear-gradient(45deg, #151c26, rgba(9, 13, 17, 0.685)),
    linear-gradient(#59afff, rgba(87, 174, 255, 0));
  border-top: 2px solid #59afff;
  top: calc(50% - 174px);
  left: calc(50% - 166px);
  position: absolute;
  overflow: hidden;
  margin: 0 auto;
  width: 332px;
  z-index: 999;
  padding: 30px 32px;
}

.modal-close {
  background: url("../images/close.svg") center center no-repeat;
  position: absolute;
  display: block;
  height: 12px;
  width: 12px;
  right: 0;
  top: 7px;
}

.modal__header {
  position: relative;
  font-family: "Rubik", sans-serif;
  align-items: center;
  font-weight: 500;
  display: flex;
}

.modal__header-icon {
  background: url("../images/gun-icon.svg") center center no-repeat;
  filter: drop-shadow(0px 0px 15px rgba(89, 175, 255, 1));
  margin-right: 13px;
  display: block;
  height: 36px;
  width: 36px;
}
.modal__header-title {
  margin-bottom: 4px;
  color: #ffffff;
  font-size: 20px;
}
.modal__header-subtitle {
  text-transform: uppercase;
  color: #a8bdd4;
  font-size: 13px;
}

.delivery {
  padding: 30px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.delivery-item {
  width: 75px;
  height: 75px;
  background: rgba(0, 0, 0, 0.15);
}

.delivery__avaible {
  font-family: "Rubik", sans-serif;
  padding: 18px 14px;
  font-weight: 500;
  font-size: 10px;
  color: #8e99a6;
  position: relative;
}
.delivery__avaible-weight {
  position: absolute;
  left: 8px;
  top: 8px;
}
.delivery__avaible-quantity {
  position: absolute;
  bottom: 8px;
  right: 5px;
}

.delivery__receiving {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family: "Rubik", sans-serif;
  font-size: 18px;
  font-weight: 700;
}
.delivery__receiving-experience {
  margin-bottom: 10px;
  color: #59afff;
}

.delivery__receiving-money {
  color: #22d981;
}

.delivery-arrow {
  position: relative;
  width: 57px;
  height: 50px;
  background: #000;
  opacity: 0.25;
  clip-path: polygon(
    0% 20%,
    60% 20%,
    60% 0%,
    100% 50%,
    60% 100%,
    60% 80%,
    0% 80%
  );
}
.delivery-arrow .loading {
  position: absolute;
  content: "";
  display: block;
  left: 0;
  top: 0;
  width: 57px;
  height: 50px;
  background: #59afff;
  animation: animate-arrow 1s linear;
}

@keyframes animate-arrow {
  0% {
    left: -100%;
  }
  100% {
    left: 0;
  }
}

.empty {
  padding: 30px 0;
  font-family: "Rubik", sans-serif;
  font-size: 14px;
  color: #8e99a6;
  text-align: center;
  font-weight: 500;
}

.actions {
  margin-top: auto;
  display: flex;
  flex-direction: column;
}

button {
  border: none;
  background: transparent;
  outline: none;
  cursor: pointer;
}

.actions-btn {
  text-align: center;
  position: relative;
  border-radius: 40px;
  border: 1px solid black;
  width: 100%;
  padding: 12px 0;
  margin-bottom: 20px;
  color: #fff;
  font-family: "Rubik", sans-serif;
  font-weight: 500;
  font-size: 14px;
  transition: all 0.2s linear;
}

.actions-btn:last-child {
  margin-bottom: 0;
}

.actions-btn_accept {
  background: linear-gradient(180deg, #28ca5f 0%, #188b3f 100%);
}

.actions-btn_accept.hover {
  background: linear-gradient(180deg, #3de476 0%, #22ad51 100%);
}
.actions-btn_accept.focus {
  background: linear-gradient(180deg, #147635 0%, #22af52 100%);
}

.actions-btn_deny {
  background: transparent;
  border: 1px solid #ffffff26;
}
.actions-btn_deny.hover {
  background: #ffffff0d;
  border: 1px solid #ffffff26;
}
.actions-btn_deny.focus {
  background: rgba(255, 255, 255, 0.212);
  border: 1px solid rgba(255, 255, 255, 0.25);
}

.fade-enter-active {
  transition: all 0.3s;
}
.fade-enter {
  opacity: 0;
  transform: translateX(-20%);
}
.fade_delivery-enter-active,
.fade_delivery-leave-active {
  transition: all 0.3s ease-out;
}
.fade_delivery-leave-to {
  opacity: 0;
  padding: 0;
  transform: translateX(100%);
}
.fade_delivery_empty-enter-active,
.fade_delivery_empty-leave-active {
  transition: all .3s linear;
}
.fade_delivery_empty-enter {
  padding: 0;
  opacity: 0;
  transform: translateY(-20px);
}